Page 1 of 1

Error installing VB 5.2 on Kubuntu 19.10

PostPosted: 17. Jan 2020, 07:55
by Shmu26
I attempted to install
virtualbox-5.2_5.2.36-135684_Ubuntu_bionic_amd64.deb
on Kubuntu 19.10, and I got an error message that there were unsatisfied dependencies.
If this is not the right installer, please give me the name and/or link to the correct one.
If it is the correct installer, please tell me how to satisfy the dependencies.

Re: Error installing VB 5.2 on Kubuntu 19.10

PostPosted: 17. Jan 2020, 15:36
by scottgus1
Shmu26 wrote:I got an error message that there were unsatisfied dependencies.

Not a Linux guy here, but I've seen a few error messages from Virtualbox install failures posted on the forum, and the messages don't seem to have been quite so laconic.

Didn't the error message say anything about what dependencies? What log to read to determine the dependencies?

Try looking at https://www.virtualbox.org/wiki/Linux_Downloads. If that doesn't help, please activate '-verbose' on that error message when you post back.

Re: Error installing VB 5.2 on Kubuntu 19.10

PostPosted: 17. Jan 2020, 16:00
by Shmu26
scottgus1 wrote:
Shmu26 wrote:I got an error message that there were unsatisfied dependencies.

Not a Linux guy here, but I've seen a few error messages from Virtualbox install failures posted on the forum, and the messages don't seem to have been quite so laconic.

Didn't the error message say anything about what dependencies? What log to read to determine the dependencies?

Try looking at https://www.virtualbox.org/wiki/Linux_Downloads. If that doesn't help, please activate '-verbose' on that error message when you post back.

Laconic it is, but the Kubuntu package manager unfortunately does not list the missing dependencies. I now tried installing the package from terminal instead, and again, it refuses to list the missing dependencies.
No log, because no install.
According to your link, I am using the right installer.

Re: Error installing VB 5.2 on Kubuntu 19.10

PostPosted: 18. Jan 2020, 19:11
by Shmu26
Sorry, my bad. The installer is up to and including Ubuntu 19.4, but I am trying to use it on 19.10. If you have any suggestions for me, I would be happy to hear them.

Re: Error installing VB 5.2 on Kubuntu 19.10

PostPosted: 18. Jan 2020, 19:57
by scottgus1
On https://www.virtualbox.org/wiki/Linux_Downloads I see a link for Virtualbox 6.1.2 and 6.0.16 for Ubuntu 19.10.

Earlier versions of Virtualbox appear to stop at 19.04. No one would know if the developers plan to advance the earlier versions to 19.10. But they might. 6.0.0 was released 12/2018, and appears to have a 19.04 download, so the devs do seem to make earlier versions available for later OS's. Just have to check back every so often.

Re: Error installing VB 5.2 on Kubuntu 19.10

PostPosted: 18. Jan 2020, 20:03
by Shmu26
scottgus1 wrote:On https://www.virtualbox.org/wiki/Linux_Downloads I see a link for Ubuntu 19.10.

Yes, but it is not for VB 5.2, which is the version I had the problem with.

Re: Error installing VB 5.2 on Kubuntu 19.10

PostPosted: 18. Jan 2020, 20:05
by scottgus1
Yeah, just noticed that, see above edit. Sorry.